
Infrastructure - Task #2089

Story # 2086 (Closed): CN issues found when creating tests for Python D1 CNClient

CNCore.listChecksumAlgorithms() - 500

2011-12-05 17:36 - Roger Dahl

Status: Closed Start date: 2011-12-05

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Environment.Development Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

23:28:52 DEBUG    operation: GET /cn/v1/checksum

12/02/12 23:28:52 DEBUG    headers: {'Charset': 'utf-8', 'Accept': 'text/xml', 'User-Agent': 'pyd1/1.0.0 +http://dataone.org/'}

ServiceFailure: name: ServiceFailure

errorCode: 500

detailCode: 0

description: Node responded with a valid status code but failed to include the expected Content-Type

Status code: 404

Content-Type: text/xml;charset=UTF-8

traceInformation: <?xml version="1.0" encoding="UTF-8"?>

No system metadata could be found for given PID: v.dataone.org/cn/v1/checksum

Related issues:

Related to Infrastructure - Task #2094: need ChecksumAlgorithmList datatype f... Closed 2011-12-06

History

#1 - 2012-02-13 05:03 - Roger Dahl

We now have the type this ticket was waiting for. Current error is:

ServiceFailure: name: ServiceFailure

errorCode: 500

detailCode: 0

description: Node responded with a valid status code but failed to include the expected Content-Type

Status code: 404

Content-Type: text/xml;charset=UTF-8

traceInformation: <?xml version="1.0" encoding="UTF-8"?>

No system metadata could be found for given PID: v.dataone.org/cn/v1/checksum

#2 - 2012-02-13 06:29 - Roger Dahl

- Subject changed from CNCore.getChecksumAlgorithms() to CNCore.listChecksumAlgorithms() - 500

#3 - 2012-02-20 23:43 - Ben Leinfelder

2024-04-09 1/2

http://dataone.org/'


- Status changed from New to Closed

- Assignee set to Ben Leinfelder

Metacat was not handling both cases of GET for this endpoint - one with a PID at the end and the other without (for a listing of valid algorithms). It

does now
